package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.*;
import java.util.Date;

/*
 * 检查主表
 */
@Entity
@Table(name = "V_MS_YJ01")
public class YkMsYj01DO {

    private Integer yjxh;//主键
    private Integer MZXH;//0
    private String fphm;//默认空，不为空的时候不能删除或者修改
    private Integer brid;//病人ID
    private String brxm;//病人姓名
    private Date kdrq;//取挂号日期
    private Integer ksdm;//医生科室
    private String ysdm;//VEMR_USER.ygdm 医生表中的员工代码
    private Integer zxks;//	执行科室VEMR_ORDER_ITEM zxks
    private String zxys;//执行医生
    private Integer zxpb;//执行判别 默认0
    private Integer zfpb;//	作废判别  0正常  1作废
    private Integer Cfbz;//	默认0
    private Integer jzxh;//	就诊序号HLWYS_MZ_JZLS的JZXH对应
    private Integer djzt;//默认0
    private Integer sqid;//去emr_jcsq里面sqdh,申请ID
    private Integer qxbz;//取消标准  默认0 3、收费处取消  4、收费处取消后执行
    private String xmmc;//项目名称
    private Integer ztbh;//项目id  VEMR_ORDER_ITEM_MX
    private Integer ygsf;//默认0
    private Integer jcbw;//默认0
    private Integer zxkslx;
    private Integer zlxz;//默认0
    private String zfgh;
    private Integer zjflag;//默认0,传输标记
    private Integer ljlx;//路径类型
    private String tjhm;//特检号码
    private Date ZXRQ;//执行日期
    private String hjgh;//划价工号
    private String zysx;//注意事项
    private Integer yjgl;//医技关联
    private String hymx;//化验明细
    private String yjph;//医技片号
    private Integer sqwh;//申请文号
    private Integer fjgl;//附加处方；MS_CF02的SBXH
    private Integer fjlb;//附加类别；附加类别(2:药品用法,3:皮试)
    private Integer bwid;//部位编号
    private Integer jbid;//疾病编号
    private String jzkh;//就诊卡号
    private String xml;//申请单XML
    private String sqdmc;//申请单名称
    private String fyly;//费用来源
    private Integer tjfl;//特检分类
    private Date zfsj;//作废时间
    private Integer jmpb;
    private String ssys;//视光手术医生
    private String ssqsl;//手术前视力
    private String sshsl;//手术后视力
    private Integer ghgl;//挂号关联，关联ms_ghmx的sbxh
    private Integer hlwjf;//互联网医院缴费(1已缴费0未缴费)
    private Integer sjly;//数据来源(1互联网医院0眼科通)

    @Basic
    @Id
    @Column(name = "YJXH")
    public Integer getYjxh() {
        return yjxh;
    }

    public void setYjxh(Integer yjxh) {
        this.yjxh = yjxh;
    }
    @Basic
    @Column(name = "MZXH")
    public Integer getMZXH() {
        return MZXH;
    }

    public void setMZXH(Integer MZXH) {
        this.MZXH = MZXH;
    }
    @Basic
    @Column(name = "FPHM")
    public String getFphm() {
        return fphm;
    }

    public void setFphm(String fphm) {
        this.fphm = fphm;
    }
    @Basic
    @Column(name = "BRID")
    public Integer getBrid() {
        return brid;
    }

    public void setBrid(Integer brid) {
        this.brid = brid;
    }
    @Basic
    @Column(name = "BRXM")
    public String getBrxm() {
        return brxm;
    }

    public void setBrxm(String brxm) {
        this.brxm = brxm;
    }
    @Basic
    @Column(name = "KDRQ")
    @JsonFormat(pattern = "dd-mm-yy", timezone = "GMT+08:00")
    public Date getKdrq() {
        return kdrq;
    }

    public void setKdrq(Date kdrq) {
        this.kdrq = kdrq;
    }
    @Basic
    @Column(name = "KSDM")
    public Integer getKsdm() {
        return ksdm;
    }

    public void setKsdm(Integer ksdm) {
        this.ksdm = ksdm;
    }
    @Basic
    @Column(name = "YSDM")
    public String getYsdm() {
        return ysdm;
    }

    public void setYsdm(String ysdm) {
        this.ysdm = ysdm;
    }
    @Basic
    @Column(name = "ZXKS")
    public Integer getZxks() {
        return zxks;
    }

    public void setZxks(Integer zxks) {
        this.zxks = zxks;
    }
    @Basic
    @Column(name = "ZXPB")
    public Integer getZxpb() {
        return zxpb;
    }

    public void setZxpb(Integer zxpb) {
        this.zxpb = zxpb;
    }
    @Basic
    @Column(name = "ZFPB")
    public Integer getZfpb() {
        return zfpb;
    }

    public void setZfpb(Integer zfpb) {
        this.zfpb = zfpb;
    }
    @Basic
    @Column(name = "CFBZ")
    public Integer getCfbz() {
        return Cfbz;
    }

    public void setCfbz(Integer cfbz) {
        Cfbz = cfbz;
    }
    @Basic
    @Column(name = "JZXH")
    public Integer getJzxh() {
        return jzxh;
    }

    public void setJzxh(Integer jzxh) {
        this.jzxh = jzxh;
    }
    @Basic
    @Column(name = "DJZT")
    public Integer getDjzt() {
        return djzt;
    }

    public void setDjzt(Integer djzt) {
        this.djzt = djzt;
    }
    @Basic
    @Column(name = "SQID")
    public Integer getSqid() {
        return sqid;
    }

    public void setSqid(Integer sqid) {
        this.sqid = sqid;
    }
    @Basic
    @Column(name = "QXBZ")
    public Integer getQxbz() {
        return qxbz;
    }

    public void setQxbz(Integer qxbz) {
        this.qxbz = qxbz;
    }
    @Basic
    @Column(name = "XMMC")
    public String getXmmc() {
        return xmmc;
    }

    public void setXmmc(String xmmc) {
        this.xmmc = xmmc;
    }
    @Basic
    @Column(name = "ZTBH")
    public Integer getZtbh() {
        return ztbh;
    }

    public void setZtbh(Integer ztbh) {
        this.ztbh = ztbh;
    }
    @Basic
    @Column(name = "YGSF")
    public Integer getYgsf() {
        return ygsf;
    }

    public void setYgsf(Integer ygsf) {
        this.ygsf = ygsf;
    }
    @Basic
    @Column(name = "JCBW")
    public Integer getJcbw() {
        return jcbw;
    }

    public void setJcbw(Integer jcbw) {
        this.jcbw = jcbw;
    }
    @Basic
    @Column(name = "ZJFLAG")
    public Integer getZjflag() {
        return zjflag;
    }

    public void setZjflag(Integer zjflag) {
        this.zjflag = zjflag;
    }
    @Basic
    @Column(name = "LJLX")
    public Integer getLjlx() {
        return ljlx;
    }

    public void setLjlx(Integer ljlx) {
        this.ljlx = ljlx;
    }

    @Basic
    @Column(name = "ZXYS")
    public String getZxys() {
        return zxys;
    }

    public void setZxys(String zxys) {
        this.zxys = zxys;
    }

    @Basic
    @Column(name = "ZXKSLX")
    public Integer getZxkslx() {
        return zxkslx;
    }

    public void setZxkslx(Integer zxkslx) {
        this.zxkslx = zxkslx;
    }

    @Basic
    @Column(name = "ZLXZ")
    public Integer getZlxz() {
        return zlxz;
    }

    public void setZlxz(Integer zlxz) {
        this.zlxz = zlxz;
    }

    @Basic
    @Column(name = "ZFGH")
    public String getZfgh() {
        return zfgh;
    }

    public void setZfgh(String zfgh) {
        this.zfgh = zfgh;
    }

    @Basic
    @Column(name = "TJHM")
    public String getTjhm() {
        return tjhm;
    }

    public void setTjhm(String tjhm) {
        this.tjhm = tjhm;
    }

    @Basic
    @Column(name = "ZXRQ")
    public Date getZXRQ() {
        return ZXRQ;
    }

    public void setZXRQ(Date ZXRQ) {
        this.ZXRQ = ZXRQ;
    }

    @Basic
    @Column(name = "HJGH")
    public String getHjgh() {
        return hjgh;
    }

    public void setHjgh(String hjgh) {
        this.hjgh = hjgh;
    }

    @Basic
    @Column(name = "ZYSX")
    public String getZysx() {
        return zysx;
    }

    public void setZysx(String zysx) {
        this.zysx = zysx;
    }

    @Basic
    @Column(name = "YJGL")
    public Integer getYjgl() {
        return yjgl;
    }

    public void setYjgl(Integer yjgl) {
        this.yjgl = yjgl;
    }

    @Basic
    @Column(name = "HYMX")
    public String getHymx() {
        return hymx;
    }

    public void setHymx(String hymx) {
        this.hymx = hymx;
    }

    @Basic
    @Column(name = "YJPH")
    public String getYjph() {
        return yjph;
    }

    public void setYjph(String yjph) {
        this.yjph = yjph;
    }

    @Basic
    @Column(name = "SQWH")
    public Integer getSqwh() {
        return sqwh;
    }

    public void setSqwh(Integer sqwh) {
        this.sqwh = sqwh;
    }

    @Basic
    @Column(name = "FJGL")
    public Integer getFjgl() {
        return fjgl;
    }

    public void setFjgl(Integer fjgl) {
        this.fjgl = fjgl;
    }

    @Basic
    @Column(name = "FJLB")
    public Integer getFjlb() {
        return fjlb;
    }

    public void setFjlb(Integer fjlb) {
        this.fjlb = fjlb;
    }

    @Basic
    @Column(name = "BWID")
    public Integer getBwid() {
        return bwid;
    }

    public void setBwid(Integer bwid) {
        this.bwid = bwid;
    }

    @Basic
    @Column(name = "JBID")
    public Integer getJbid() {
        return jbid;
    }

    public void setJbid(Integer jbid) {
        this.jbid = jbid;
    }

    @Basic
    @Column(name = "JZKH")
    public String getJzkh() {
        return jzkh;
    }

    public void setJzkh(String jzkh) {
        this.jzkh = jzkh;
    }

    @Basic
    @Column(name = "XML")
    public String getXml() {
        return xml;
    }

    public void setXml(String xml) {
        this.xml = xml;
    }

    @Basic
    @Column(name = "SQDMC")
    public String getSqdmc() {
        return sqdmc;
    }

    public void setSqdmc(String sqdmc) {
        this.sqdmc = sqdmc;
    }

    @Basic
    @Column(name = "FYLY")
    public String getFyly() {
        return fyly;
    }

    public void setFyly(String fyly) {
        this.fyly = fyly;
    }

    @Basic
    @Column(name = "TJFL")
    public Integer getTjfl() {
        return tjfl;
    }

    public void setTjfl(Integer tjfl) {
        this.tjfl = tjfl;
    }

    @Basic
    @Column(name = "ZFSJ")
    public Date getZfsj() {
        return zfsj;
    }

    public void setZfsj(Date zfsj) {
        this.zfsj = zfsj;
    }

    @Basic
    @Column(name = "JMPB")
    public Integer getJmpb() {
        return jmpb;
    }

    public void setJmpb(Integer jmpb) {
        this.jmpb = jmpb;
    }

    @Basic
    @Column(name = "SSYS")
    public String getSsys() {
        return ssys;
    }

    public void setSsys(String ssys) {
        this.ssys = ssys;
    }

    @Basic
    @Column(name = "SSQSL")
    public String getSsqsl() {
        return ssqsl;
    }

    public void setSsqsl(String ssqsl) {
        this.ssqsl = ssqsl;
    }

    @Basic
    @Column(name = "SSHSL")
    public String getSshsl() {
        return sshsl;
    }

    public void setSshsl(String sshsl) {
        this.sshsl = sshsl;
    }

    @Basic
    @Column(name = "GHGL")
    public Integer getGhgl() {
        return ghgl;
    }

    public void setGhgl(Integer ghgl) {
        this.ghgl = ghgl;
    }

    @Basic
    @Column(name = "HLWJF")
    public Integer getHlwjf() {
        return hlwjf;
    }

    public void setHlwjf(Integer hlwjf) {
        this.hlwjf = hlwjf;
    }

    @Basic
    @Column(name = "SJLY")
    public Integer getSjly() {
        return sjly;
    }

    public void setSjly(Integer sjly) {
        this.sjly = sjly;
    }
}
